Opened 10 years ago

Closed 10 years ago

Last modified 3 years ago

#752 closed Enhancement (fixed)

first draft for new NVTK : SET TEsts for nemo (SETTE)

Reported by: flavoni Owned by: nemo
Priority: low Milestone:
Component: env Version: release-3.3
Severity: Keywords: NVTK SETTE
Cc: Review:
MP ready?:
Progress:

Description

It is only a first draft to start new set of tests for NEMO.
Used makenemo, param file, fcm_job file to have very simple job, and input file for reference configurations.
Even the name is a first draft.

Commit History (26)

ChangesetAuthorTimeChangeLog
2754flavoni2011-04-28T18:01:12+02:00

small changes for SETTE tests, see ticket #752

2687flavoni2011-03-15T10:27:43+01:00

add input cfg file for POMME, and move ice_evolu in NEMO_VALIDATION_DIR, see ticket #752

2685flavoni2011-03-14T09:10:40+01:00

add echo of compiler name in output.sette, see ticket #752

2675flavoni2011-03-09T09:42:15+01:00

commit sette.sh ready to test 3 reference configuration: GYRE_LOBSTER, ORCA2_LIM_PISCES, POMME. (restartability and reproductibility tests), see ticket #752

2665flavoni2011-03-07T15:42:12+01:00

add new functionality in SETTE, creating validation tree, and updated doc, see ticket #752

2657flavoni2011-03-04T17:41:52+01:00

add comments in sette_beginner.sh, and added TEST_NAME in fcm_job.sh, see ticket #752

2656flavoni2011-03-04T17:33:53+01:00

add sette_beginner.sh a small sette.sh to start with SETTE tools, see ticket #752

2637flavoni2011-03-02T14:44:33+01:00

change debug test in st_namelist, see ticket #752

2563flavoni2011-01-18T17:25:43+01:00

remove changed directories by mistake, see ticket #752

2562flavoni2011-01-18T17:22:47+01:00

add test in fcm_job.sh, see ticket #752

2553flavoni2011-01-12T15:26:21+01:00

change test in fcm_job.sh, see ticket #752

2549flavoni2011-01-12T10:27:30+01:00

small bug: forget to remove bad test in fcm_job.sh, see ticket #752

2546flavoni2011-01-11T11:21:18+01:00

change test in fcm_job.sh, see ticket #752

2545flavoni2011-01-10T17:48:53+01:00

improved READE and SETTE.pdf for SETTE, add small debug, see ticket #752

2539flavoni2011-01-07T11:04:55+01:00

corrected small bug in sette.sh, see ticket #752

2511flavoni2010-12-23T15:26:52+01:00

add control number of arguments for set_namelist function in SETTE, see ticket #752

2510flavoni2010-12-23T15:21:39+01:00

correct missing " in SETTE functions, see ticket #752

2507flavoni2010-12-23T11:49:42+01:00

added a small PDF doc of SETTE, and of its scripts, see ticket #752

2500flavoni2010-12-21T16:58:15+01:00

changed comments in SETTE scripts, to have doc with sphinx, see ticket #752

2495flavoni2010-12-20T16:16:39+01:00

changed comment in sette.sh, see ticket #752

2494flavoni2010-12-20T15:45:25+01:00

add README to use sette utility, and small enhancements, see ticket #752

2362flavoni2010-11-05T12:44:43+01:00

updated IGCM00 files for new ORCA2_LIM_nemo_v3.3.beta.tar, see ticket #752

2361flavoni2010-11-05T12:41:12+01:00

update tar file for nemo version v3_3_beta: ORCA2_LIM.3.3.beta.tar, and updated file for SETTE, see ticket #752

2359flavoni2010-11-05T10:28:31+01:00

cosmetic changes, see ticket #752

2355flavoni2010-11-04T16:00:19+01:00

remove useless comments, see ticket #752

2354flavoni2010-11-04T15:40:10+01:00

first draft for SETTE (SET tests for NEMO), a new version of NVTK, see ticket #752

Attachments (1)

UTF_report_draft001.html (7.9 KB) - added by flavoni 10 years ago.

Download all attachments as: .zip

Change History (11)

Changed 10 years ago by flavoni

comment:1 Changed 10 years ago by flavoni

  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed 9 years ago by frrh

Met Office UTF system has finally been upgraded to include the facility to cater for NEMO model output. This specifically allows bit-comparison to be performed between the "solver.stat" output from different runs or against a known, standard reference output file.

Richard Hill is commencing testing this functionality at the Met Office - Late August 2011.


comment:3 Changed 4 years ago by nicolasmartin

  • Keywords NEMO NVTK) SETTE Validation: added

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords NVTK added; NVTK) removed

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords validation added; Validation: removed

comment:6 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3* added

comment:7 Changed 4 years ago by nicolasmartin

  • Milestone NEMO Validation: SETTE (previously NVTK) deleted

Milestone NEMO Validation: SETTE (previously NVTK) deleted

comment:8 Changed 4 years ago by nicolasmartin

  • Keywords NEMO removed

comment:9 Changed 4 years ago by nicolasmartin

  • Keywords validation removed

comment:10 Changed 3 years ago by nemo

  • Keywords nemo_v3_3* removed
Note: See TracTickets for help on using tickets.